#
# spec file for package ghc-distributed-static
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name distributed-static
Name:           ghc-%{pkg_name}
Version:        0.3.5.0
Release:        lp150.1.8
Summary:        Compositional, type-safe, polymorphic static values and closures
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-rank1dynamic-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
/Towards Haskell in the Cloud/ (Epstein et al, Haskell Symposium 2011)
introduces the concept of /static/ values: values that are known at compile
time. In a distributed setting where all nodes are running the same executable,
static values can be serialized simply by transmitting a code pointer to the
value. This however requires special compiler support, which is not yet
available in ghc. We can mimick the behaviour by keeping an explicit mapping
('RemoteTable') from labels to values (and making sure that all distributed
nodes are using the same 'RemoteTable'). In this module we implement this
mimickry and various extensions: type safety (including for polymorphic static
values) and compositionality.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.5.0 revision 0 with cabal2obs.
